<?php
session_start();
require_once 'php/model/Article.php';
require_once 'php/model/ArticleManager.php';

if (isset($_GET["id"])){
    try {
        $articleManager = ArticleManager::getInstance();
        $article = $articleManager->getArticle($_GET["id"]);
        if($article != null){
            $title = $article->getTitle();
            $content = $article->getContent();
            $category = $article->getCategory();
            $author = $article->getAuthor();
            $tags = $article->getTags();
        }else{
            $_SESSION["message"] = "article_not_found";
            echo "article_not_found";
        }
    } catch (Exception $e){
        $_SESSION["message"] = "internal_error";
        echo "Fehler aufgetreten: " . $e->getMessage();
    }
}else{
    $_SESSION["message"] = "article_not_found";
    echo "article_not_found";
}
?>